DecompiledClassNode (Groovy 4.0.15)

Package: org.codehaus.groovy.ast.decompiled

## [Java] Class DecompiledClassNode

- org.codehaus.groovy.ast.decompiled.DecompiledClassNode

-     public class DecompiledClassNode
      extends ClassNode

  A ClassNode kind representing the classes coming from *.class files decompiled using ASM.

  See Also:
    AsmDecompiler

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class ClassNode` | `EMPTY_ARRAY, SUPER, THIS, clazz, innerClasses, isPrimaryNode, lazyInitLock`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `DecompiledClassNode(ClassStub classData, AsmReferenceResolver resolver)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public List<AnnotationNode>` | `getAnnotations()`
    `` | `public List<AnnotationNode>` | `getAnnotations(ClassNode type)`
    `` | `public long` | `getCompilationTimeStamp()`
    `` | `public List<ConstructorNode>` | `getDeclaredConstructors()`
    `` | `public FieldNode` | `getDeclaredField(String name)`
    `` | `public List<MethodNode>` | `getDeclaredMethods(String name)`
    `` | `public List<FieldNode>` | `getFields()`
    `` | `public GenericsType[]` | `getGenericsTypes()`
    `` | `public ClassNode[]` | `getInterfaces()`
    `` | `public List<MethodNode>` | `getMethods()`
    `` | `public List<RecordComponentNode>` | `getRecordComponents()`
    `` | `public Class` | `getTypeClass()`
    `` | `public ClassNode[]` | `getUnresolvedInterfaces(boolean useRedirect)`
    `` | `public ClassNode` | `getUnresolvedSuperClass(boolean useRedirect)`
    `` | `public boolean` | `isParameterized()`
    `` | `public boolean` | `isResolved()`
    `` | `public boolean` | `isSealed()`
    `` | `public boolean` | `isUsingGenerics()`
    `` | `public void` | `setGenericsPlaceHolder(boolean b)`
    `` | `public String` | `setName(String name)`
    `` | `public void` | `setRedirect(ClassNode cn)`
    `` | `public void` | `setUsingGenerics(boolean b)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class ClassNode` | `addConstructor, addConstructor, addField, addField, addFieldFirst, addFieldFirst, addInterface, addMethod, addMethod, addMixin, addObjectInitializerStatements, addProperty, addProperty, addStaticInitializerStatements, addSyntheticMethod, addTransform, addTypeAnnotation, addTypeAnnotations, asGenericsType, declaresAnyInterfaces, declaresInterface, equals, getAbstractMethods, getAllDeclaredMethods, getAllInterfaces, getAnnotations, getAnnotations, getCompileUnit, getComponentType, getDeclaredConstructor, getDeclaredConstructors, getDeclaredField, getDeclaredMethod, getDeclaredMethods, getDeclaredMethodsMap, getEnclosingMethod, getField, getFieldIndex, getFields, getGenericsTypes, getGetterMethod, getGetterMethod, getInnerClasses, getInterfaces, getMethod, getMethods, getMethods, getMixins, getModifiers, getModule, getName, getNameWithoutPackage, getObjectInitializerStatements, getOuterClass, getOuterClasses, getOuterField, getPackage, getPackageName, getPermittedSubclasses, getPlainNodeReference, getPlainNodeReference, getProperties, getProperty, getRecordComponentNodes, getRecordComponents, getSetterMethod, getSetterMethod, getSuperClass, getText, getTransforms, getTypeAnnotations, getTypeAnnotations, getTypeClass, getUnresolvedInterfaces, getUnresolvedInterfaces, getUnresolvedName, getUnresolvedSuperClass, getUnresolvedSuperClass, hasDeclaredMethod, hasMethod, hasPackageName, hasPossibleMethod, hasPossibleStaticMethod, hasProperty, hashCode, implementsAnyInterfaces, implementsInterface, isAbstract, isAnnotated, isAnnotationDefinition, isArray, isDerivedFrom, isDerivedFromGroovyObject, isEnum, isGenericsPlaceHolder, isInterface, isPrimaryClassNode, isRecord, isRedirectNode, isResolved, isScript, isScriptBody, isSealed, isStaticClass, isSyntheticPublic, isUsingGenerics, makeArray, parametersEqual, positionStmtsAfterEnumInitStmts, redirect, removeConstructor, removeField, removeMethod, renameField, setAnnotated, setCompileUnit, setEnclosingMethod, setGenericsPlaceHolder, setGenericsTypes, setInterfaces, setMixins, setModifiers, setModule, setName, setPermittedSubclasses, setRecordComponentNodes, setRecordComponents, setRedirect, setScript, setScriptBody, setStaticClass, setSuperClass, setSyntheticPublic, setUnresolvedSuperClass, setUsingGenerics, toString, toString, tryFindPossibleMethod, visitContents`
    `class AnnotatedNode` | `addAnnotation, addAnnotation, addAnnotations, getAnnotations, getAnnotations, getDeclaringClass, getGroovydoc, getInstance, hasNoRealSourcePosition, isSynthetic, setDeclaringClass, setHasNoRealSourcePosition, setSynthetic`
    `class ASTNode` | `copyNodeMetaData, getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getMetaDataMap, getText, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setMetaDataMap, setSourcePosition, visit`

- - ### Constructor Detail

    - #### public DecompiledClassNode(ClassStub classData, AsmReferenceResolver resolver)

  - ### Method Detail

    - #### @Override
      public List<AnnotationNode> getAnnotations()

    - #### @Override
      public List<AnnotationNode> getAnnotations(ClassNode type)

    - #### public long getCompilationTimeStamp()

    - #### @Override
      public List<ConstructorNode> getDeclaredConstructors()

    - #### @Override
      public FieldNode getDeclaredField(String name)

    - #### @Override
      public List<MethodNode> getDeclaredMethods(String name)

    - #### @Override
      public List<FieldNode> getFields()

    - #### @Override
      public GenericsType[] getGenericsTypes()

    - #### @Override
      public ClassNode[] getInterfaces()

    - #### @Override
      public List<MethodNode> getMethods()

    - #### @Override
      public List<RecordComponentNode> getRecordComponents()

    - #### @Override
      public Class getTypeClass()

    - #### @Override
      public ClassNode[] getUnresolvedInterfaces(boolean useRedirect)

    - #### @Override
      public ClassNode getUnresolvedSuperClass(boolean useRedirect)

    - #### public boolean isParameterized()

    - #### @Override
      public boolean isResolved()

    - #### @Override
      public boolean isSealed()

    - #### @Override
      public boolean isUsingGenerics()

    - #### @Override
      public void setGenericsPlaceHolder(boolean b)

    - #### @Override
      public String setName(String name)

    - #### @Override
      public void setRedirect(ClassNode cn)

    - #### @Override
      public void setUsingGenerics(boolean b)